Latest is the best because more and more games will be supporting them and soon it will become minimum requirement.